#
# spec file for package bc (Version 1.04)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  termcap

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         bc
Release:      14
Copyright:    1991, 1992, 1993, 1994 Free Software Foundation, Inc.
Group: 
Provides:     bc 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.04
Summary:      GNU bc - command line calculator
Source: bc-1.04.tar.gz
Patch: bc-1.04.dif
%description
bc is an interpreter that supports numbers of arbitrary precision and
the interactive execution of statements. There are some
similarities in the syntax to the C programming language. A standard
math library is available through command line options. When used, the
math library is read in before any other input files. bc then reads
in all other files from the command line, evaluating their contents.
Then, bc reads from standard input (usually the keyboard).
The dc program is also included. Dc is a calculator which supports
reverse-polish notation and allows unlimited precision arithmetic.
Macros can also be defined. Normally, dc reads from standard in but
can also read in files specified on the command line. A calculator with
reverse-polish notation saves numbers to a stack. Arguments to
mathematical operations (operands) are "pushed" onto the stack until the
next operator is read in which "pops" its arguments off the stack and
"pushes" its results back onto the stack.

Authors:
--------
    Philip A. Nelson <phil@cs.wwu.edu>

%prep
%setup
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/usr/bin/bc
/usr/bin/dc
%doc /usr/info/dc.info.gz
%doc /usr/man/man1/bc.1.gz
%doc /usr/man/man1/dc.1.gz

